Skip site navigation (1)Skip section navigation (2)
Date:      Thu, 12 Mar 2020 12:17:00 -0600
From:      Gary Aitken <freebsd@dreamchaser.org>
To:        Doug McIntyre <merlyn@geeks.org>, freebsd-questions@freebsd.org
Subject:   Re: letsencrypt renewal failure "sslv3 alert bad record mac"
Message-ID:  <5bd27d94-8067-14f2-dd86-331a6d657f9e@dreamchaser.org>
In-Reply-To: <20200312160208.GA36613@geeks.org>
References:  <7e6cb54d-a38a-0772-01fb-01ebd4834c91@dreamchaser.org> <20200312.075544.692341835792089950.yasu@utahime.org> <1ef43873-fbe3-b58f-8756-2a754f637ec4@dreamchaser.org> <20200312160208.GA36613@geeks.org>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On 3/12/20 10:02 AM, Doug McIntyre wrote:
> On Wed, Mar 11, 2020 at 08:22:38PM -0600, Gary Aitken wrote:
>> On 3/11/20 4:55 PM, Yasuhiro KIMURA wrote:
>>> From: Gary Aitken <freebsd@dreamchaser.org>
>>> Subject: letsencrypt renewal failure "sslv3 alert bad record mac"
>>> Date: Wed, 11 Mar 2020 14:11:59 -0600
>>>
>>>> Previous renewals worked ok, but may have been under 10.3
>>>>
>>>> 11.2-RELEASE-p9 FreeBSD 11.2-RELEASE-p9
>>>>
>>>> I know I need to upgrade to 11.3 but this seems not related to that.
>>>> Any help / pointers would be much appreciated.
>>>
>>> Are there any reason that you use non-default version of python?
>>> I wonder if current version of certbot still support python 2.7.
>>
>> py27-certbot-0.31.0,1 is the pkg installed; it installed python 2.7.
>>
>> I see python2 is EOL 2020-01-01.
>> I will try upgrading the os and installed packages.
> 
> 
> There should also be a py37-certbot pkg.

Thanks.
deleting py27-certbot and installing py37-certbot did the trick.

Gary




Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?5bd27d94-8067-14f2-dd86-331a6d657f9e>